{
  "/jwt/key/mapping/delete": {
    "post": {
      "tags": [
        "JWT Key Mapping"
      ],
      "summary": "Delete Jwt Key Mapping",
      "operationId": "delete_jwt_key_mapping_jwt_key_mapping_delete_post",
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/DeleteJWTKeyMappingRequest"
            }
          }
        },
        "required": true
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  },
  "/jwt/key/mapping/info": {
    "get": {
      "tags": [
        "JWT Key Mapping"
      ],
      "summary": "Info Jwt Key Mapping",
      "operationId": "info_jwt_key_mapping_jwt_key_mapping_info_get",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "id",
          "in": "query",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Id"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/JWTKeyMappingResponse"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  },
  "/jwt/key/mapping/list": {
    "get": {
      "tags": [
        "JWT Key Mapping"
      ],
      "summary": "List Jwt Key Mappings",
      "operationId": "list_jwt_key_mappings_jwt_key_mapping_list_get",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "page",
          "in": "query",
          "required": false,
          "schema": {
            "type": "integer",
            "minimum": 1,
            "description": "Page number",
            "default": 1,
            "title": "Page"
          },
          "description": "Page number"
        },
        {
          "name": "size",
          "in": "query",
          "required": false,
          "schema": {
            "type": "integer",
            "maximum": 100,
            "minimum": 1,
            "description": "Page size",
            "default": 50,
            "title": "Size"
          },
          "description": "Page size"
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  },
  "/jwt/key/mapping/new": {
    "post": {
      "tags": [
        "JWT Key Mapping"
      ],
      "summary": "Create Jwt Key Mapping",
      "operationId": "create_jwt_key_mapping_jwt_key_mapping_new_post",
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CreateJWTKeyMappingRequest"
            }
          }
        },
        "required": true
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/JWTKeyMappingResponse"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  },
  "/jwt/key/mapping/update": {
    "post": {
      "tags": [
        "JWT Key Mapping"
      ],
      "summary": "Update Jwt Key Mapping",
      "operationId": "update_jwt_key_mapping_jwt_key_mapping_update_post",
      "requestBody": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UpdateJWTKeyMappingRequest"
            }
          }
        },
        "required": true
      },
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/JWTKeyMappingResponse"
              }
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  }
}